﻿using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 색상↔브러시 변환자
    /// </summary>
    [ValueConversion(typeof(Color), typeof(SolidColorBrush))]
    public class ColorToBrushConverter : IValueConverter
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 변환하기 - Convert(sourceValue, targetType, parameter, cultureInfo)

        /// <summary>
        /// 변환하기
        /// </summary>
        /// <param name="sourceValue">소스 값</param>
        /// <param name="targetType">타겟 타입</param>
        /// <param name="parameter">매개 변수</param>
        /// <param name="cultureInfo">컬처 정보</param>
        /// <returns>타겟 값</returns>
        public object Convert(object sourceValue, Type targetType, object parameter, CultureInfo cultureInfo)
        {
            Color color = (Color)sourceValue;

            return new SolidColorBrush(color);
        }

        #endregion
        #region 역 변환하기 - ConvertBack(targetValue, sourceType, parameter, cultureInfo)

        /// <summary>
        /// 역 변환하기
        /// </summary>
        /// <param name="targetValue">타겟 값</param>
        /// <param name="sourceType">소스 타입</param>
        /// <param name="parameter">매개 변수</param>
        /// <param name="cultureInfo">컬처 정보</param>
        /// <returns>소스 값</returns>
        public object ConvertBack(object targetValue, Type sourceType, object parameter, CultureInfo cultureInfo)
        {
            SolidColorBrush brush = targetValue as SolidColorBrush;

            return brush.Color;
        }

        #endregion
    }
}