﻿using System;
using System.Windows;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();

            this.colorCombo.ColorChanged += colorCombo_ColorChanged;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private
        //////////////////////////////////////////////////////////////////////////////// Event

        #region 색상 콤보 색상 변경시 처리하기 - colorCombo_ColorChanged(sender, e)

        /// <summary>
        /// 색상 콤보 색상 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void colorCombo_ColorChanged(object sender, EventArgs e)
        {
            this.colorComboTextBlock.Text = this.colorCombo.Color.ToString();
        }
        
        #endregion
        #region 데이터 설정 버튼 클릭시 처리하기 - dataButton_Click(sender, e)

        /// <summary>
        /// 데이터 설정 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void dataButton_Click(object sender, RoutedEventArgs e)
        {
            this.colorCombo.FillKnownColors = true;
        }

        #endregion
        #region 색상 초기화 버튼 클릭시 처리하기 - colorButton_Click(sender, e)

        /// <summary>
        /// 색상 초기화 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void colorButton_Click(object sender, RoutedEventArgs e)
        {
            this.colorCombo.Color = null;
        }

        #endregion
        #region 색상 그리드 사용 버튼 클릭시 처리하기 - useColorGridButton_Click(sender, e)

        /// <summary>
        /// 색상 그리드 사용 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void useColorGridButton_Click(object sender, RoutedEventArgs e)
        {
            this.colorCombo.UseColorGrid = !this.colorCombo.UseColorGrid;
        }

        #endregion
    }
}
